Welcome to the new Schneider Electric Community

It's your place to connect with experts and peers, get continuous support, and share knowledge.

  • Explore the new navigation for even easier access to your community.
  • Bookmark and use our new, easy-to-remember address (community.se.com).
  • Get ready for more content and an improved experience.

Contact SchneiderCommunity.Support@se.com if you have any questions.

Close
Invite a Co-worker
Send a co-worker an invite to the Exchange portal.Just enter their email address and we’ll connect them to register. After joining, they will belong to the same company.
Send Invite Cancel
84705members
354089posts

Modicon M238. Version du micrologiciel incompatible avec SoMachine 4.3 !!

Machine Automation Forum

A forum addressing machine automation solutions for the complete machine lifecycle. Including offers like Machine Advisor, Modicon PLC/PacDrive, Lexium or Preventa. Discuss and share knowledge on offers relating to cloud-based service platforms, machine localization and monitoring, industrial operations control, motion products as well as safety function!

echafik
Cadet
0 Likes
1
714

Modicon M238. Version du micrologiciel incompatible avec SoMachine 4.3 !!

Salut au experts ;

 

Tout d'abord excusez mes très faibles connaissances au domaine … Mon soucis est le suivant :

 

Je rencontre un problème de disfonctionnement de l'application sur le Modicon M238 donc je me suis procurer Somachine 4.3 afin d'accéder à l'API pour le diagnostique et éventuellement corriger les erreurs . Cependant, en me connectant avec le PC le logiciel me demande de faire la mise à jour du micrologiciel du M238 pour pouvoir le connecter .Le soucis c'est qu'apparemment le PLC sera effacé si une mise à jour est faite chose qui ne m'arrange aucunement … Est-t-il possible de mettre à jour le firmeware sans effacer l'application du programme OU de le connecter sans mis à jour ? .

 

Merci pour votre  attention … Cordialement

Tags (1)
1 Reply 1
SimA
Ensign Ensign
Ensign
0 Likes
0
697

Re: Modicon M238. Version du micrologiciel incompatible avec SoMachine 4.3 !!

La plupart du temps, il est possible de se connecter avec une version plus récente de SoMachine/Machine Expert  sur un contrôleur plus ancien.

 

Par contre, il y a certaines conditions. 

 

Vous devez avoir une archive du projet ( fichier *.projectarchive ).  Avec votre version plus récente, vous n'avez pas la définition du matériel d'ancienne génération ainsi que les librairies associés d'ancienne génération.  Dans une archive de projet, ces composantes sont incluses.  En ouvrant une archive de projet dans une version de logiciel plus récente, les composantes d'ancienne génération sont ajoutées à la version courante.  Ceci permettra d'ouvrir le projet sans le mettre à jour.  Ce qui amène à la 2e partie.

 

Lors de l'ouverture de l'ancien projet dans la nouvelle version, il faut refuser la mise-à-jour du projet.  Ainsi, les versions resteront intactes et il sera possible de se connecter au contrôleur sans mettre à jour son microgiciel.

 

Il y a certaines exceptions où des composantes ne sont plus supportées dans une version plus récentes ou des librairies sont marquées comme obsolètes mais c'est le concept de base.